Skip to main content
PUT
/
api
/
v1
/
settings
Update Settings
curl --request PUT \
  --url https://api.example.com/api/v1/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "<string>",
  "default_currency": "<string>",
  "email_notifications": true,
  "marketing_emails": true
}
'
{
  "display_name": "<string>",
  "default_currency": "<string>",
  "email_notifications": true,
  "marketing_emails": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
display_name
string | null
Required string length: 1 - 100
default_currency
string | null
Required string length: 3
email_notifications
boolean | null
marketing_emails
boolean | null

Response

Successful Response

display_name
string
required
default_currency
string
required
email_notifications
boolean
required
marketing_emails
boolean
required